@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* font-family: "Poppins", sans-serif; */
/* font-weight: 200; */
/* font-weight: 700; */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    width: 100%;
    height: 100%;
    position: relative;
}

::-webkit-scrollbar {
    display: none;
}

body {
    font-family: "Poppins", sans-serif;
    font-weight: 200;
    cursor: default !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
}

a {
    text-decoration: none;
    color: #000;
}

.yellow-grad {
    color: transparent;
    /* background: linear-gradient(90deg, #fbab18, #fcc64d); */
    background: linear-gradient(90deg, #fbab18, #fdde8a);
    background-clip: text;
    -webkit-background-clip: text;
}

.section-label {
    font-size: 1rem;
    padding: 4px 16px;
    font-weight: 300;
    color: #fff;
    background-color: #000;
    border-radius: 25px;
    margin-bottom: 15px;

    i {
        color: #fbab18;
    }
}

/* contact hero */
.contactHero {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: linear-gradient(135deg, #000, #283352 50%, #000);
    position: relative;
    overflow: hidden;

    .abs-con-blur-circle-1 {
        width: 250px;
        height: 250px;
        position: absolute;
        background-color: #fdde8a70;
        filter: blur(150px);
        top: 25%;
        left: 30%;
        border-radius: 50%;
        animation: blinkA 3s ease-in-out infinite;
    }

    .abs-con-blur-circle-2 {
        position: absolute;
        width: 250px;
        height: 250px;
        background-color: #fdde8a70;
        filter: blur(150px);
        border-radius: 50%;
        bottom: 20%;
        right: 30%;
        animation: blinkB 3s ease-in-out infinite;
    }

    .contact_hero_Container {
        width: 100%;
        height: auto;
        margin: 90px 0;
        max-width: 1400px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        z-index: 2;

        .section-label {
            margin-bottom: 15px;
            text-align: center;
            background-color: #3e2e12;
            border: 1px solid #fbab1840;
        }

        h2 {
            font-size: 4.5rem;
            line-height: 5rem;
            max-width: 900px;
            margin-bottom: 15px;
            color: #fff;
            text-align: center;

            span {
                background: linear-gradient(90deg, #fbab18, #fff, #fbab18);
                color: transparent;
                background-clip: text;
            }
        }

        p {
            font-size: 1.4rem;
            color: #fff;
            max-width: 1000px;
            margin-bottom: 50px;
            text-align: center;
        }

        .con-Cards {
            width: 100%;
            height: auto;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 20px;

            .conCard {
                width: 20%;
                height: 160px;
                padding: 20px;
                border: 1px solid #fdfdfd40;
                background-color: #ffffff30;
                backdrop-filter: blur(10px);
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                border-radius: 15px;
                transition: all .3s ease-in-out;

                i {
                    padding: 10px;
                    border-radius: 12px;
                    font-size: 2rem;
                    color: #fff;
                    margin-bottom: 10px;
                }

                h5 {
                    font-size: 1.1rem;
                    color: #fff;
                    margin-bottom: 10px;

                    a {
                        color: #fff;
                    }
                }

                small {
                    color: #fdfdfd;

                    a {
                        color: #fdfdfd;
                    }
                }
            }

            .conCard:hover {
                transform: scale(1.02) translateY(-10px);
                /* transform: translateY(-10px); */
            }

            .conCard:nth-child(1) i {
                background: #419ff4;
            }

            .conCard:nth-child(2) i {
                background: linear-gradient(125deg, #ca6fed, #e12e91);
            }

            .conCard:nth-child(3) i {
                background: linear-gradient(125deg, #00d371, #00a368);
            }

        }
    }
}

/* Blinking animation */
/* @keyframes blinkGlow {
    0% {
        opacity: 0.4;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0.4;
    }
} */


/* Opposite blinking animation */
@keyframes blinkA {

    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0.4;
    }
}

@keyframes blinkB {

    0%,
    100% {
        opacity: 0.4;
    }

    50% {
        opacity: 1;
    }
}


@media screen and (max-width:768px){
    .contactHero{
        padding: 0 10px;

        .contact_hero_Container{
            margin: 60px 0;

            h4{
                margin-bottom: 10px;
            }

            h2{
                font-size: 2rem;
                line-height: 2.5rem;
                margin-bottom: 10px;
            }

            p{
                font-size: 1rem;
            }

            .con-Cards{
                flex-wrap: wrap;
                gap: 10px;
                
                .conCard{
                    width: 48%;
                }

                .conCard.conCard:nth-child(3){
                    width: 100%;
                }
            }
        }
    }
}
/* contact hero */

/* contact section */
.contact-section{
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    .contactContainer{
        width: 100%;
        height: auto;
        max-width: 80%;
        display: flex;
        align-items: start;
        justify-content: space-between;
        gap: 40px;
        margin: 80px 0;

        .contact-left, .contact-right{
            width: 50%;
            height: auto;
        }

        .contact-left{

            .Contactform{
                width: 100%;
                height: auto;
                padding: 24px;
                border-radius: 1rem;
                box-shadow: 5px 5px 30px #00000015;
                display: flex;
                align-items: start;
                justify-content: start;
                flex-direction: column;

                h4{
                    background-color: #000;
                    color: #fbab18;
                    margin-bottom: 15px;
                }

                h2{
                    font-size: 2.5rem;
                    line-height: 3rem;
                    margin-bottom: 15px;
                    font-weight: 600;
                }

                p{
                    font-size: 1.1rem;
                    margin-bottom: 30px;
                }

                #contactForm{
                    width: 100%;
                    height: auto;
                    display: flex;
                    align-items: start;
                    justify-content: start;
                    flex-direction: column;

                    .form-group{
                        width: 100%;
                        height: auto;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        /* flex-direction: column; */
                        margin-bottom: 20px;
                        gap: 20px;


                        .form-field{
                            width: 100%;
                            height: auto;
                            display: flex;
                            align-items: start;
                            justify-content: start;
                            flex-direction: column;

                            label{
                                color: #333;
                                margin-bottom: 10px;
                            }

                            input, select, textarea{
                                width: 100%;
                                height: auto;
                                padding: 16px;
                                border-radius: 12px;
                                border: 1px solid #33333340;
                                font-size: 1rem;
                                color: #333;
                            }

                            input:focus{
                                border: 1px solid #fbab18;
                            }
                        }
                    }

                    .form_submit{
                        width: 100%;
                        height: auto;
                        background-color: #fbab18;
                        border: none;
                        font-size: 1.1rem;
                        color: #000;
                        padding: 1rem;
                        border-radius: 1rem;
                        text-align: center;
                        box-shadow: 1px 1px 10px #fdde8a20;
                        transition: all .5s ease-in-out;

                        :hover{
                            box-shadow: 0px 5px 30px #fbab1825;
                        }
                    }
                }
            }
        }

        .contact-right{
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            gap: 30px;

            .direct-Contact{
                width: 100%;
                height: auto;
                background-color: #000;
                color: #fff;
                border-radius: 1rem;
                padding: 30px;
                display: flex;
                align-items: start;
                justify-content: start;
                flex-direction: column;
                gap: 20px;

                .dir-con-Card{
                    width: 100%;
                    height: auto;
                    padding: 1rem;
                    border-radius: 8px;
                    display: flex;
                    align-items: center;
                    justify-content: start;
                    background-color: #a2a2a240;

                    .dir_con_left{
                        width: auto;
                        height: auto;
                        margin-right: 15px;

                        i{
                            color: #000;
                            background-color: #fbab18;
                            border-radius: 4px;
                            padding: 8px;
                            font-size: 1.5rem;
                        }
                    }

                    .dir_con_right{
                        width: auto;
                        height: auto;
                        display: flex;
                        align-items: start;
                        justify-content: start;
                        flex-direction: column;

                        small{
                            color: #fdfdfd;
                        }

                        a{
                            color: #fff;
                            font-size: 1.1rem;
                            font-weight: 400;
                        }
                    }
                }
            }

            .factory-image{
                width: 100%;
                height: auto;
                min-height: 460px;
                border-radius: 1rem;
                background-image: url(https://images.pexels.com/photos/247763/pexels-photo-247763.jpeg);
                background-position: top center;
                background-repeat: no-repeat;
                background-size: cover;
            }

            .factory-location{
                width: 100%;
                height: auto;
                min-height: 460px;

                iframe{
                    width: 100%;
                    height: auto;
                    min-height: 400px;
                    border-radius: 1rem;
                    border: none;
                    border: 0;
                    box-shadow: 2px 2px 15px #00000015;
                }
            }
        }
    }
}

@media screen and (max-width:768px){
    .contact-section{
        padding: 0 10px !important;
        overflow: hidden !important;

        .contactContainer{
            flex-wrap: wrap;
            margin: 40px 0;
            width: 100%;
            max-width: 100%;
            gap: 20px;

            .contact-left, .contact-right{
                width: 100% !important;
                height: auto;
                padding: 0;
            }

            .contact-left{
                
                .Contactform{
                    padding: 16px;

                    h4{
                        margin-bottom: 10px;
                    }

                    h2{
                        font-size: 2rem;
                        line-height: 2.5rem;
                    }

                    p{
                        font-size: 1rem;
                    }

                    #contactForm{
                        width: 100%;
                        height: auto;
                    }
                }
            }

            .contact-right{
                gap: 20px;

                .direct-Contact{
                    padding: 1rem;
                    width: 100%;

                    .dir-con-Card{
                        padding: 12px;

                        .dir_con_left{

                            i{
                                font-size: 1.5rem;
                            }
                        }

                        .dir_con_right{

                            a{
                                font-size: 1rem;
                                word-break: break-all;
                            }
                        }
                    }
                }

                .factory-location{
                    width: 100%;
                    height: auto;
                    min-height: auto;

                    iframe{
                        width: 100%;
                        height: 500px;
                    }
                }
            }
            
        }
    }
}
/* contact section */